<header class="">
  <nav class="navbar navbar-expand-lg">
    <div class="container-fluid">
      <a class="navbar-brand mt-0 pt-0" (click)="navSelect('orgs')" href="#" routerLink="/apps" routerLinkActive="active" >
        <h2 class="mb-0"><em>API</em>{{ appConfig.name }}</h2>
      </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <myNavHeader class="collapse navbar-collapse">
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul *ngIf="checkAuth()" class="navbar-nav mr-auto">
            <li class="nav-item" *ngFor="let item of navigationSideMenu">
              <a href="#" [routerLink]="[item.link]" routerLinkActive="active" class="nav-link waves-light" mdbWavesEffect>
                <i class="{{ item.iconType }} {{ item.icon }}"></i> {{ item.label }}
              </a>
            </li>
          </ul>
          <div *ngIf="!auth.userIsLoggedIn()">
            <ul class="navbar-nav nav-flex-icons">
              <li class="nav-item" *ngFor="let item of navigationOtherSideMenu">
                <a href="#" [routerLink]="[item.link]" routerLinkActive="active" class="nav-link waves-light" mdbWavesEffect>
                  <mdb-icon fas icon="{{ item.icon }}"></mdb-icon> {{ item.label }}
                </a>
              </li>
            </ul>
          </div>
          <!-- <div *ngIf="auth.userIsLoggedIn()">
            <ul *ngIf="jwtDecoded['role'] === 'developer'" class="navbar-nav nav-flex-icons">
              <li class="nav-item dropdown" dropdown>
                <a dropdownToggle mdbWavesEffect class="nav-link dropdown-toggle waves-light" mdbWavesEffect>
                  Organizations<span class="caret"></span></a>
                <div *dropdownMenu class="dropdown-menu dropdown-menu-right dropdown dropdown-primary" role="menu">
                  <a *ngFor="let item of jwtDecoded['tenants']" (click)="setOrgPref(item)" class="dropdown-item waves-light" mdbWavesEffect>
                    {{ item }}
                  </a>
                </div>
              </li>
            </ul>
          </div> -->
          <div *ngIf="auth.userIsLoggedIn()">
            <ul class="navbar-nav ml-auto nav-flex-icons">
              <li class="nav-item dropdown" dropdown>
                <a dropdownToggle mdbWavesEffect class="nav-link dropdown-toggle waves-light" mdbWavesEffect>
                  <mdb-icon fas icon="user"></mdb-icon> {{ jwtDecoded['firstname'] }} {{ jwtDecoded['lastname'] }}<span class="caret"></span></a>
                <div *dropdownMenu class="dropdown-menu dropdown-menu-right dropdown dropdown-primary" role="menu">
                  <a *ngFor="let item of navigationOtherSideMenu" (click)="navSelect(item.link)" href="#" [routerLink]="[item.link]" class="dropdown-item waves-light" mdbWavesEffect>
                    {{ item.label }}
                  </a>
                  <a (click)="logout()" href="#" class="dropdown-item waves-light" mdbWavesEffect>
                    Logout
                  </a>
                </div>
              </li>
            </ul>      
          </div>
        </div>
      </myNavHeader>
    </div>
  </nav>
</header>
